Subject: pre-release X WWW browser

From: Chung Huynh <[email-masked]>
Date: Tue, 2 Nov 1993 10:41:09 -0800

Announcement pre-release 0 of MidasWWW Version 2.0
         (X Window browser with Chinese support for World-Wide-Web)

What is World-Wide-Web (WWW)?
-----------------------------

WWW is a HyperText client-server based global information retrieval system.
It could be considered a superset of gopher, hytelnet, wais, etc. It is
not possible to describe it in detail here. Please refer to the following
resources for more informantion:

ftp: info.cern.ch /pub/www/doc/*
newsgroup: comp.infosys.www, cern.www-talk

What is MidasWWW?
-----------------

MidasWWW is a Motif/X based World Wide Web browser. It is intended to be fully
compliant with the Motif Style Guide, and portable to any UNIX or VMS system
with Motif. MidasWWW includes extensive online HELP for new users.

MidasWWW is written by Tony Johnson, my boss, and I 've involved in developing
this project recently.

What did I do to this release?
------------------------------

I 'm using my spare time in the weekend to slidely motify midaswww to
support Chinese. I didn't test it extensively so there might
be some bugs. I'll work on this to make it better.

***NOTE*** Therefore, this release is not very stable and is intend to
give the users for temperary use until the release of the offical version 2.0.

Where to get this release?
--------------------------

I've uploaded it to the anonymous ftp sites in the incoming or upload
directory:
   ifcss.org (including the binary of RS6000 and Sun4)

(First, I want to upload to nctucca but there is not upload for public
   NCTUCCCA.edu.tw [140.111.3.21]  )

Build this package:
-------------------

See the README file.

About this release:
-------------------

This is a pre-release (actually this copy that I'm working on and hopefully
I've removed all the "debug printf" statement :-) ). So It might still have
some bugs that we didn't find out yet.

This release has been compiled on the RS6000 and and Sun4 systems only.
It might not be compiled successfully on VMS/SGI/HP systems but it
will also support VMS and SGI on the official release of 2.0.

The defaut homepage is the MidasWWW homepage. From there, you can get help
on using MidasWWW online.

Since this is a pre-release, so some online help files (especially the error
msg handling) are not yet documented.

About Chinese in this release:
------------------------------

First, you need to successfully install the Chinese font in your system.
The default font is hku-ch16. To change the font, you need to put a resource
line into the Midaswww_color_ad or Midaswww_mono.ad or $HOME/Midaswww.
(e.g: to use the cclib16st font)
midaswww*font16:        cclib16st

You can open my Chinese test page (big5) by clicking <File>-<Open>-<Document...>
and enter the following:
     http://slacvx.slac.stanford.edu/chuynhwww/chinesetest.html

Problem with Chinese document:
------------------------------

- The Search function is not working properly within a Chinese document.
- If the document has a Chinese chars Title, a Xt error msg is printed out.
  This is due to that the Title widget is a XmText widget.
- There is no input for Chinese.
- There is ambigousity if the document contains 2 non-ascii charset.
  (ie: It is not smart enough to distinguish a German-English document
   and Chinese-English one)

Coming up on next pre-release:
------------------------------

- Change the Chinese fonts on a fly.
- Better Handling to the a Chinese chars title.
- fix the Search function.

Tips:
-----

After you successfully compiled midaswww, you might want to create a small
shell script file (e.g. web2) as follows:  (assume that you are doing on the
same directory as the midaswww located)
==================================
#!/bin/csh -f
setenv UIDPATH %U
# setenv WWW_HOME your-favorite-homepage-here
setenv XFILESEARCHPATH ./%N_color.ad:./%N.ad
# use the below statement instead if you are using mono monitor.
#setenv XFILESEARCHPATH ./%N_mono.ad:./%N.ad
exec ./midaswww $*
=====================================

Brief outline of filetypes supported:
-------------------------------------
Text:
- html, postscript, txt (ascii and Chinese text).
Image:
- gif, xbitmap, pixmap, jpeg*, tiff*,
Movie:
- mpeg*
Sound:
- au*
Compress:
- Z, gz*
Archive (save to disk):
- tar, shar

* = external software needed to be first installed in the system.
        filetype               software
         jpeg                   djpeg
         tiff                   tifftopnm & ppmtogif
         mpeg                   mpeg_play
         gz                     gzip
         au                     ???

These are default filetypes which have been setup. You could add more
if your system support them.

Try it! you would like it:
-----------------------------

All after all, I can't give you all the details about WWW here, you need to
run the program to see how powerful the World-Wide-Web is.
I hope that there will be more Chinese WWW servers coming up
in the near future.

World-Wide-Web, Let's share the informantion!

--
Chung.

http://slacvx.slac.stanford.edu/chuynhwww/chinesetest.html